### Enumeration

# Vips Angle45

#### Declaration

    enum Vips.Angle45

#### Description [src]

See `vips_rot45()` and so on.

Fixed rotate angles.

See also

`vips_rot45()`.

#### Members

`VIPS_ANGLE45_D0`

  No rotate.

  - Value: `0`
  - Available since: 8.0
`VIPS_ANGLE45_D45`

  45 degrees clockwise.

  - Value: `1`
  - Available since: 8.0
`VIPS_ANGLE45_D90`

  90 degrees clockwise.

  - Value: `2`
  - Available since: 8.0
`VIPS_ANGLE45_D135`

  135 degrees clockwise.

  - Value: `3`
  - Available since: 8.0
`VIPS_ANGLE45_D180`

  180 degrees.

  - Value: `4`
  - Available since: 8.0
`VIPS_ANGLE45_D225`

  135 degrees anti-clockwise.

  - Value: `5`
  - Available since: 8.0
`VIPS_ANGLE45_D270`

  90 degrees anti-clockwise.

  - Value: `6`
  - Available since: 8.0
`VIPS_ANGLE45_D315`

  45 degrees anti-clockwise.

  - Value: `7`
  - Available since: 8.0